const assets = @import("engine/assets.zig");

pub const Fonts = assets.Fonts;
pub const FPS = @import("engine/fps.zig").FPS;
pub const Keys = @import("engine/keys.zig").Keys;
pub const Object = @import("engine/object.zig").Object;
pub const OpaquePtr = @import("engine/opaque_ptr.zig").OpaquePtr;
pub const Point = @import("engine/point.zig").Point;
pub const PointF = @import("engine/point_f.zig").PointF;
pub const pt = Point.init;
pub const ptF = PointF.init;
pub const Rectangle = @import("engine/rectangle.zig").Rectangle;
pub const RectangleF = @import("engine/rectangle_f.zig").RectangleF;
pub const Scene = @import("engine/scene.zig").Scene;
pub const Sprite = assets.Sprite;
pub const Sprites = assets.Sprites;
pub const Textures = assets.Textures;
pub const Viewport = @import("engine/viewport.zig").Viewport;
